function selectBox(box, kategoria_id) {

	//Remove old selection
	var selectedBox = $(".selectedBox");
	var createNewBigBox = selectedBox.size() == 0 || selectedBox.position().top != box.position().top;
	unselectBoxes(createNewBigBox);

	box.addClass("selectedBox");
	

	//Create or find big box
	if (createNewBigBox)
	{
		var lastBoxInRow = box;
		var test = lastBoxInRow.next();
		var size = test.size();
		while (lastBoxInRow.next().size() > 0 && 
			lastBoxInRow.next().position().left > lastBoxInRow.position().left) {
			lastBoxInRow = lastBoxInRow.next();
		}

		var bigBox = $("<div/>").addClass("box bigBox");

		if (createNewBigBox)
		{
			bigBox.css("display", "none");
		}

		lastBoxInRow.after(bigBox);
	}
	else
	{
		bigBox = $(".bigBox");
		bigBox.empty();
	}

	//Add content to big box
	//TODO
	//bigBox.text("big box that has something");

	$.get("../get_images/" + kategoria_id, function(data) {
		var paths = data.split(' ');
		var img1 = $('<img src="../static/' + paths[0] + '" width="350px" height="300px" class="left_img"/>');
		var img2 = $('<img src="../static/' + paths[1] + '" width="350px" height="300px" class="right_img"/>');
		
		img1.click(function(){
			selectBox(box, kategoria_id);
		});
		img2.click(function(){
			selectBox(box, kategoria_id);
		});
		
		bigBox.append(img1);
		bigBox.append(img2);
	});
	
	var bigBoxOuterHeight = bigBox.outerHeight();
	var bigBoxHeight = bigBox.height();


	//Make box visible so that we can calculate it's offset
	if (createNewBigBox)
	{
		bigBox.height(1);
		bigBox.css("display", "inline");
	}


	//Animate scrolling
	var bigBoxBottom = bigBox.offset().top + bigBoxOuterHeight;
	var selectedTop = $(".selectedBox").offset().top;
	var windowHeight = $(window).height();
	var disappearingHeight = 0;
	if (createNewBigBox && $(".bigBox").size() == 2 && !$(".bigBox:first").is(bigBox))
		disappearingHeight = $(".bigBox:first").outerHeight() + 20; //margin added

	var targetScroll = (bigBoxBottom + selectedTop)*0.5 - windowHeight*0.5 - disappearingHeight;

	$('html, body').animate({
    	scrollTop: targetScroll
 	}, "normal");


	//console.log("" + bigBox.offset().top + "," + bigBoxOuterHeight + "," + selectedTop + "," + windowHeight + "," + disappearingHeight + " = " + targetScroll);

	//start slide effect
 	if (createNewBigBox)
	{
		bigBox.animate({"height": bigBoxHeight}, "fast");
	}
}

function unselectBoxes(hideBigBox) {
	if (hideBigBox)
	{
		$(".bigBox").animate({"height": 0, "margin-top": 0, "margin-bottom": 0}, "fast", function(){
			$(this).remove();
		});
	}
	//else $(".bigBox").remove();

	$(".selectedBox").removeClass("selectedBox");
}

$(window).keydown(function(e){
	if (e.keyCode == 27) //esc
		unselectBoxes(true);
});


//Following code taken from:
//http://stackoverflow.com/questions/2834667/how-can-i-differentiate-a-manual-scroll-via-mousewheel-scrollbar-from-a-javasc
$('body,html').bind('scroll mousedown wheel DOMMouseScroll mousewheel keyup', function(e){
 if ( e.which > 0 || e.type == "mousedown" || e.type == "mousewheel"){
  $("html,body").stop();
 }
})