from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    url(r'^(main_template/)?$', 'app_2015.views.main_template'),
	url(r'^(admin/)?$', 'app_2015.views.admin'),
	url(r'^(get_something_rated/)?$', 'app_2015.views.get_something_rated'),
	url(r'^(introduction/)?$', 'app_2015.views.introduction'),
	url(r'^get_images/(?P<kategoria_id>\d+)/$', 'app_2015.views.get_images'),
	url(r'^send_rating/(?P<message>\w{0,50})/$', 'app_2015.views.send_rating'),
	url(r'^upload_image/$', 'app_2015.views.upload_image', name='upload_image'),
	url(r'^create_category/$', 'app_2015.views.create_category', name='create_category'),
	url(r'^create_statistics_string/(?P<category_id>\d+)/$', 'app_2015.views.create_statistics_string'),
	url(r'^get_votes_for_images/(?P<image1_id>\d+)/(?P<image2_id>\d+)/$', 'app_2015.views.get_votes_for_images'),
    # url(r'^django_2015/', include('django_2015.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
)
